# norootforbuild

Name:		licq
Version:	1.5.1
Release:	1.pm.1.19

Summary:	A graphical ICQ Client for Linux
URL:		http://www.licq.org
License:	GNU General Public License (GPL)
Group:		Productivity/Networking/ICQ

Source0:	%{name}/%{name}-%{version}.tar.bz2
Source1:	%{name}.png

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	boost-devel cdk-devel cmake gcc-c++ libgloox-devel
BuildRequires:	libgpgme-devel libopenssl-devel libqt4-devel pkg-config
BuildRequires:	ncurses-devel xosd-devel update-desktop-files


%description
Licq is a ICQ Client for the common ICQ network. It provides a graphical
user interface based on QT and is enhanceable with many powerful plugins.
For more information visit Licq's Homepage http://www.licq.org

%package jabber
Summary:	Jabber plug-in for Licq
Group:		Productivity/Networking/ICQ
Requires:	%{name} = %{version}

%description jabber
Jabber plug-in for Licq.

Supported:
  * Sending and receiving messages (including messages received when being
    offline)
  * Adding and removing users (including authorization management)
  * Typing notifications
  * Fetching users vcard
  * "Buzzing" users (i.e. sending messages to get the receivers attention) 

%package qt4-gui
Summary:	QT4 plug-in for Licq
Group:		Productivity/Networking/ICQ
Requires:	%{name} = %{version}

%description qt4-gui
This plug-in uses the latest qt4 libraries. It's more useful if you're
using KDE4.


%package devel
Summary:	Licq develompent files
Group:		Development/Sources
Requires:	%{name} = %{version}
Requires:	boost-devel cdk-devel cmake gcc-c++ libgloox-devel
Requires:	libgpgme-devel libopenssl-devel libqt4-devel pkg-config
Requires:	ncurses-devel xosd-devel update-desktop-files

%description devel
Header files of Licq program.





%prep
%setup -q


%build
export CXXFLAGS="$RPM_OPT_FLAGS"
export CLAGS="$RPM_OPT_FLAGS"
export SUSE_ASNEEDED=0
%__mkdir build
pushd build
	cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} \
	-DINSTALL_LIBDIR=%{_libdir} \
	%if %{_lib} != lib
	-DLIB_SUFFIX=64 \
	%endif
	..
	%__make %{?jobs:-j%jobs}
popd

# compile the plugins
PLUGINS="auto-reply console forwarder jabber msn osd qt4-gui rms"
for i in $PLUGINS;
	do
	%__mkdir plugins/$i/build
	pushd plugins/$i/build
		cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} \
		-DINSTALL_LIBDIR=%{_libdir} \
		-DCMAKE_MODULE_PATH=%{_builddir}/%{name}-%{version}/cmake \
		%if %{_lib} != lib
		-DLIB_SUFFIX=64 \
		%endif
		..
		%__make %{?jobs:-j%jobs}
	popd
done


%install
export CXXFLAGS="$RPM_OPT_FLAGS"
export CLAGS="$RPM_OPT_FLAGS"
export SUSE_ASNEEDED=0

pushd build
	%makeinstall
popd

%find_lang %{name}

# install the plugins
PLUGINS="auto-reply console forwarder jabber msn osd qt4-gui rms"
for i in $PLUGINS;
	do
	pushd plugins/$i/build
		%makeinstall
	popd
done

%find_lang %{name}_osd_plugin
%__cat %{name}_osd_plugin.lang >> %{name}.lang

%__install -D -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/pixmaps/%{name}.png
%__install -D -m 644 plugins/qt4-gui/share/misc/licq.desktop \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop
%suse_update_desktop_file %{name} Network InstantMessaging

%__rm -f %{buildroot}/%{_libdir}/%{name}/%{name}_*la
%__rm -f %{buildroot}/%{_libdir}/%{name}/protocol_*.la


%clean
rm -rf %{buildroot}


%files -f "%{name}.lang"
%defattr(-,root,root)
%doc INSTALL LICENSE README README.GPG README.OPENSSL
%{_bindir}/%{name}
#%{_bindir}/*.sh
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/sounds
%{_datadir}/%{name}/sounds/*
%dir %{_datadir}/%{name}/translations
%{_datadir}/%{name}/translations/*
%dir %{_datadir}/%{name}/utilities
%{_datadir}/%{name}/utilities/*
%{_libdir}/%{name}/%{name}_autoreply.so
%{_libdir}/%{name}/%{name}_console.so
%{_libdir}/%{name}/%{name}_forwarder.so
%{_libdir}/%{name}/protocol_msn.so
%{_libdir}/%{name}/%{name}_osd.so
%{_libdir}/%{name}/%{name}_rms.so

%files devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%dir %{_includedir}/%{name}/*
%{_includedir}/%{name}/*/*.h
%dir %{_datadir}/%{name}/cmake/
%{_datadir}/%{name}/cmake/*

%files jabber
%defattr(-,root,root)
%{_libdir}/%{name}/protocol_jabber.so

%files qt4-gui
%defattr(-,root,root)
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/%{name}_qt4-gui.so
%dir %{_datadir}/%{name}/qt4-gui
%{_datadir}/%{name}/qt4-gui/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sat Jul  2 2011 detlef@links2linux.de
- new upstream version <1.5.1>
  * Package GTest with Licq to guarantee same version as GMock
  * Owners can no longer be removed when online to prevent contact list problems
  * Build: Various fixes to reduce problems when building
  * AutoReply: Command line parameters -d and -e were ignored
  * ICQ: Buddy icons would fail to update for some contacts retrying every minute
  * Jabber: Use full name for contact if there is no nickname set
  * Jabber: Get away message for contacts
  * Jabber: Keep track of contacts pending for authorization
  * OSD: Default config would be written to file without path
  * RMS: Plugin could crash if bad parameters were given to some commands
  * Qt4-Gui: Ignored users were displayed in All Users list
  * Qt4-Gui: Several menu items and buttons were missing ... after caption
  * Qt4-Gui: Main window would appear under other windows on some systems
  * Qt4-Gui: GUI could hang when toggling Send Through Server button
  * Qt4-Gui: Show keyboard shortcuts in the user popup menu from contact list
* Sat Oct  9 2010 detlef@links2linux.de
- new upstream version <1.5.0>
  * Added auto logon feature per protocol in Licq
  * Sound settings can be overridden per group or per user
  * Fifo command "setpicture" added
  * Build: Switched Licq and all plugins to use cmake
  * Build: Various fixes to make Licq build on Solaris
  * Plugin API: Major changes, see below
  * ICQ: Sending a system message with no text would cause disconnect from
    server
  * ICQ: Contacts were shown as online after fetching auto response
  * Qt-Gui/Kde-Gui: Removed and no longer maintained in favor of Qt4-Gui
  * Qt4-Gui: Allow shortcut to be configured for creating a new group
  * Qt4-Gui: Mass messages sent are added to user specific chat window as well
  * Qt4-Gui: Thread mode 2 sometimes showed online contacts under offline header
  * Qt4-Gui: Group names with ampersands were not displayed properly in menus
  * Qt4-Gui: Added option to limit auto-popup to only urgent messages
  * Jabber: New protocol plugin for the Jabber protocol, supporting:
  - Sending and receiving messages (including messages received when being
    offline)
  - Adding and removing users (including authorization management)
  - Typing notifications
  - Fetching users vcard
  - "Buzzing" users (i.e. sending messages to get the receivers attention)
* Sun May 16 2010 detlef@links2linux.de
- new upstream version <1.3.9>
  * Various bugs in both Licq and plugins that caused crashes and hangings have
    been fixed
  * Hebrew support was broken and could cause crashes
  * Licq will automatically switch to qt4-gui if qt-gui fails to load on startup
  * Sockets would become IPv6 only if system default was to not allow IPv4
  * Build: --disable-hebrew caused hebrew support to be enabled
  * Build: Wrong header files were included on FreeBSD
  * Build: Various fixes to remove build warnings
  * Console: Command to add contact was not working
  * Console: Backspace across multiple lines wasn't handled correct
  * ICQ: Deleting a contact would not update the server side list
  * ICQ: Failed log on did not report it was ICQ protocol that failed
  * ICQ: Removing a user from the server ignore list was not possible
  * MSN: Contacts with status Occupied were handled as Away
  * MSN: Own status for Occupied was reported as Do Not Disturb
  * MSN: Failed log on due to wrong password was not signaled to GUI
  * LicqWeb: Added option to set status Free For Chat
  * Qt-Gui: Confirmation to ignore user never appeared
  * Qt4-Gui: Added option to permanently add "Not in list" users
  * Qt4-Gui: Adding user from search dialog did not pass on user id to add
    dialog
  * Qt4-Gui: Confirmation to ignore user appeared when removing instead of
    adding
  * Qt4-Gui: User count in group header was wrong if group contained ignored
    users
  * Qt4-Gui: Added confirmation dialog when removing an account
  * Qt4-Gui: Shift+Return can be used to make new line in single line chat mode
  * Qt4-Gui: Added shortcut to chat dialog for opening next unread message
  * Qt4-Gui: Renaming groups from contact list did not save the new group name
* Wed Nov 11 2009 detlef@links2linux.de
- new upstream version <1.3.8>
  * Plugin API: Added GPG functions so plugins don't need to depend on gpgme
    anymore.
  * Qt4-Gui: Fixed a bug that could cause GUI to crash on startup.
  * Qt4-Gui: Fixed a bug causing the same image to be loaded for all icons.
  * Qt4-Gui: Dragging a file to chat dialog will open send dialog.
  * Qt4-Gui: Tray icon will show status from another protocol if ICQ is offline.
  * RMS: Fixed a bug causing LIST command to always return an empty list.
  * RMS: Added HISTORY command for fetching user history.
  * Web-Gui: Corrected various syntax errors in scripts.
  * Web-Gui: Updated html to conform with xhtml 1.1 standard.
  * Web-Gui: Added option to set status offline.
  * Web-Gui: Made windows resizable.
  * Web-Gui: Show messages from history when opening chat window.
  * Web-Gui: Highlight timestamp and user alias in chat history
* Tue Nov 11 2008 detlef@links2linux.de
- new upstream version 1.3.6
* Wed Jul  2 2008 quentin@links2linux.de
- added logon patch: licq-1.3.5-logonfix.patch
* Sat Nov  3 2007 quentin@links2linux.de
- update to upstream 1.3.5
- added patches from the BuildService
- split off devel and debug packages
* Sun Oct 15 2006 quentin@links2linux.de
- update to stable 1.3.4
- removed KDE icons since they are now officially included in licq
- update icqnd 0.1.9.6
- osd plugin needs gettextize before running autotools
- added patch for dublicated desktop files
* Sat Dec  3 2005 quentin@links2linux.de
- stripped files to reduce the packagesize
- added new plugin: icqnd,a gtk2 gui
* Wed Nov 30 2005 quentin@links2linux.de
- included some patches for 64bit
- added NLD emoticons
* Mon Sep 26 2005 quentin@links2linux.de
- update to version 1.3.2
* Wed Apr 27 2005 quentin@lins2linux.de
- new cvs update with my icq5 emoticons
- some qt-gui tweaks
- included own skins and emoticons :) ...more will follow!
* Wed Feb 23 2005 quentin@lins2linux.de
- new cvs update
- update desktop-files
- added qt-gui libs
* Sat Feb  5 2005 quentin@lins2linux.de
- new cvs update finally including the KDE-dock fix!
* Mon Jan 24 2005 quentin@lins2linux.de
- updated to daily cvs
* Tue Nov 16 2004 quentin@links2linux.de
- SuSE 9.2 package of version 1.3.0
* Thu Sep 30 2004 quentin@links2linux.de
- updated to version 1.3.0
- included self-made suse skin
- slight changes to the spec file
* Fri Sep 24 2004 quentin@links2linux.de
- updated to version 1.3.0-PRE2
* Mon Aug 30 2004 quentin@links2linux.de
- updated to version 1.3.0-PRE
